#include <iostream>

using namespace std;

int main()
{
    int a =0;
    int b,c;
    cin>>b;
    cin>>c;
    int razlika1=0;
    int razlika2=0;
    razlika1=256-b;
    razlika2=256-c;
    int rezultat=0;
    if(razlika1<=razlika2)
    {
        rezultat=razlika1;
    }
    else
    {
        rezultat=razlika2;
    }
    if(razlika1<=0 || razlika2<=0)
    {
       rezultat=0;
    }
    cout<<rezultat;
    return 0;
}